'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = compileCss;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _postcssImport = require('postcss-import');

var _postcssImport2 = _interopRequireDefault(_postcssImport);

var _postcssCssnext = require('postcss-cssnext');

var _postcssCssnext2 = _interopRequireDefault(_postcssCssnext);

var _logger = require('../logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function compileCss(targetPath) {
  var targetFile = _fs2.default.readFileSync(targetPath, 'utf8');

  return (0, _postcss2.default)([_postcssImport2.default, _postcssCssnext2.default]).process(targetFile, {
    from: targetPath,
    to: targetPath
  }).then(function (result) {
    _fs2.default.writeFileSync(targetPath, result.css);

    if (result.map) {
      _fs2.default.writeFileSync(targetPath + '.map', result.map);
    }

    return result;
  }).catch(function (error) {
    return _logger2.default.error(error);
  });
}
//# sourceMappingURL=compileCss.js.map