import {
  exec,
} from 'shelljs';

import compileCss from '../helper/compileCss';
import getCompiler from '../helper/getCompiler';

import {
  resolvePath,
} from '../utils';

export default function build() {
  const compiler = getCompiler();

  exec(`rm -rf ${resolvePath('public')}`);

  const compileResult = new Promise((resolve, reject) => {
    compiler.run(error => {
      if (error) {
        reject(error);
        return;
      }

      resolve(compiler);
    });
  });

  return Promise.all([
    compileResult,
    compileCss,
  ]);
}
