import commander from 'commander';

import create from './cli/create';
import build from './cli/build';
import start from './cli/start';

import logger from './logger';
import { version } from '../package.json';

commander.version(version);

commander
  .command('create [name]')
  .description('create application with a name')
  .action(name => create(name));

commander
  .command('build')
  .description('build your application to public path')
  .action(() => build());

commander
  .command('start')
  .description('build and start the application')
  .action(() => start());

commander
  .command('*')
  .action(() => logger.warn('Wrong input'));

commander.parse(process.argv);
